% Generated by roxygen2: do not edit by hand
% Please edit documentation in R/TariffCournot-methods.R
\docType{methods}
\name{TariffCournot-methods}
\alias{TariffCournot-methods}
\alias{calcSlopes,TariffCournot-method}
\alias{calcQuantities,TariffCournot-method}
\title{Additional methods for TariffCournot Class}
\usage{
\S4method{calcSlopes}{TariffCournot}(object)

\S4method{calcQuantities}{TariffCournot}(object, preMerger = TRUE,
  market = FALSE)
}
\arguments{
\item{object}{an instance of class \code{TariffCournot}}

\item{preMerger}{when TRUE, computes result  under the existing tariff regime. When FALSE, calculates
tariffs under the new tariff regime. Default is TRUE.}

\item{market}{when TRUE, computes market-wide results. When FALSE, calculates
plant-specific results.}
}
\value{
\code{calcSlopes} return a TariffCournot object containing estimated slopes. \code{CalcQuantities} returns
a matrix of equilbrium quantities under either the current or new tariff.
}
\description{
Producer Surplus methods for the \code{TariffBertrand} and \code{TariffCournot} classes
}
